PostgreSQL 9.0.13 Documentation
Prev | Up |  | Next

# ALTER TYPE

## Name

ALTER TYPE -- change the definition of a type

## Synopsis

    ALTER TYPE name RENAME TO new_name
    ALTER TYPE name OWNER TO new_owner
    ALTER TYPE name SET SCHEMA new_schema

## Description

`ALTER TYPE` changes the definition of an existing type.

You must own the type to use `ALTER TYPE`. To change the schema of a type, you must also have `CREATE` privilege on the new schema. To alter the owner, you must also be a direct or indirect member of the new owning role, and that role must have `CREATE` privilege on the type's schema. (These restrictions enforce that altering the owner doesn't do anything you couldn't do by dropping and recreating the type. However, a superuser can alter ownership of any type anyway.)

## Parameters

`name`

  The name (possibly schema-qualified) of an existing type to alter.

`new_name`

  The new name for the type.

`new_owner`

  The user name of the new owner of the type.

`new_schema`

  The new schema for the type.

## Examples

To rename a data type:

    ALTER TYPE electronic_mail RENAME TO email;

To change the owner of the type `email` to `joe`:

    ALTER TYPE email OWNER TO joe;

To change the schema of the type `email` to `customers`:

    ALTER TYPE email SET SCHEMA customers;

## Compatibility

There is no `ALTER TYPE` statement in the SQL standard.

Prev | Home | Next
ALTER TRIGGER | Up | ALTER USER